FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Payment Schedule

Get payment schedule information for energy accounts from the Fiskil API.

AI Actions

The Payment Schedule endpoint provides information about payment arrangements and scheduled payments for energy accounts.

Endpoints

MethodEndpointDescription
GET/v1/payment-scheduleGet payment schedules for an end user

The Payment Schedule Model

AttributeTypeDescription
idstringUnique schedule identifier
account_idstringAssociated energy account ID
typestringPayment type (DIRECT_DEBIT, BILL_SMOOTHING, MANUAL)
frequencystringPayment frequency
amountnumberPayment amount (for fixed payments)
next_payment_datestringNext scheduled payment date
payment_methodstringPayment method

Example Response

{
  "id": "ps_123",
  "account_id": "energy_acc_123",
  "type": "DIRECT_DEBIT",
  "frequency": "MONTHLY",
  "amount": null,
  "next_payment_date": "2023-02-15",
  "payment_method": "BANK_ACCOUNT"
}

Get Payment Schedules

Retrieve payment schedule information for an end user's energy accounts.

GET https://api.fiskil.com/v1/payment-schedule

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
account_idstringNoFilter by specific account ID
page[size]integerNoNumber of results (max 1000)
page[after]stringNoCursor for pagination

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/payment-schedule?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/payment-schedule?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const schedules = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/payment-schedule',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

schedules = response.json()

Example Response

{
  "data": [
    {
      "id": "ps_123",
      "account_id": "energy_acc_123",
      "type": "DIRECT_DEBIT",
      "frequency": "MONTHLY",
      "amount": null,
      "next_payment_date": "2023-02-15",
      "payment_method": "BANK_ACCOUNT"
    },
    {
      "id": "ps_456",
      "account_id": "energy_acc_456",
      "type": "BILL_SMOOTHING",
      "frequency": "FORTNIGHTLY",
      "amount": 85.00,
      "next_payment_date": "2023-01-27",
      "payment_method": "CREDIT_CARD"
    }
  ]
}

Payment Types

TypeDescription
DIRECT_DEBITAutomatic payment of bill amount
BILL_SMOOTHINGFixed regular payments to smooth bills
MANUALCustomer pays manually when bill issued
PAYMENT_PLANStructured payment plan (e.g., for arrears)

Payment Methods

MethodDescription
BANK_ACCOUNTDirect debit from bank account
CREDIT_CARDCredit card payment
BPAYBPAY payment

Related Endpoints

  • Energy Accounts - Get account details
  • Billing - Get billing history
  • Invoices - Get invoice details

Was this page helpful?

PayeePermissions

On this page

EndpointsThe Payment Schedule ModelExample ResponseGet Payment SchedulesQuery ParametersExample RequestExample ResponsePayment TypesPayment MethodsRelated Endpoints